package com.dky.utils.enums;


public enum EnergyPriceType {

    Residential_Electric_Price(4,0.55, "居民电价"),
    Industry_Electric_Price(4, 1.2, "工业电价"),
    Coal_Price_Per_Kilogram(1, 0.9, "煤炭平均价格/千克"),
    Kerosene_Price_Per_Kilogram(2, 8.3, "煤油平均价格/千克"),
    Natural_Gas_Price_Per_Kilogram(3, 3.82, "天然气平均价格/千克"),

    Raw_Coal_Price_Per_Kilogram(101, 0.788, "原煤平均价格/千克"),
    Crude_Oil_Price_Per_Kilogram(301,8.0, "原油平均价格/千克"),
    Fuel_Oil_Price_Per_Kilogram(305,8.1, "燃料油平均价格/千克"),
    Gasoline_Price_Per_Kilogram(302,8.2, "汽油平均价格/千克"),
    Diesel_Oil_Price_Per_Kilogram(304, 8.4, "柴油平均价格/千克"),
    Refinery_Gas_Price_Per_Kilogram(207, 4.3, "炼厂干气平均价格/千克"),
    Oilfield_Natural_Gas_Price_Per_Kilogram(206, 1.96, "油田天然气平均价格/千克"),
    ;

    /**
     * 编码
     */
    private final Integer code;
    /**
     * 能源价格
     */
    private final Double price;
    /**
     * 描述
     */
    private final String desc;

    public Double getPrice() {
        return price;
    }

    public String getDesc() {
        return desc;
    }

    EnergyPriceType(Integer code, Double price, String desc) {
        this.code = code;
        this.price = price;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }
}
