package com.dky.calculate;

import java.text.DecimalFormat;

//方案优势
public class Advantage {

    static DecimalFormat decimalFormat = new DecimalFormat("#.00");

    //安全性
    public String safety(){
        return "无";
    }

    /**
     * 经济性
     * @param firstInvestFee 初始投资金额
     * @param yearRunFee 年运行费用
     * @param lastYearFee 替代前上年运行费用
     * @return
     */
    public static String economy(Double firstInvestFee ,Double yearRunFee, Double lastYearFee){
        // 运行收益 = 上年运行费用（即原设备运行费用）- 今年运行费用
        Double hsq = Math.round((lastYearFee - yearRunFee) * 100.0)/100.0;
        if (hsq <= 0){
            return "本技术方案中替代技术相对于原生产设备在经济性上优势不大，但从环保效益上具有较高的优势";
        }
        // 投资回收期 = 初次投资费用/运行收益
        Double js = Math.round((firstInvestFee / hsq) * 100.0)/100.0;
        return "本次改造投资回收期为"+js+"年，本改造方案相比较原技术节省年运行费用成本"+decimalFormat.format(hsq)+"元。";
    }
    // 智能性
    public static String intelligence() {
        return "以电锅炉替代和实现精准控温。";
    }

    // 环保性
    public static String environment(Double yearReduceCarbon) {
        return "本次改造方案减排" + yearReduceCarbon + "吨";
    }
}
